/*
*Theme Name:     PatioTime Child Theme
*Theme URI: 	 https://patiotime.loftocean.com/
*Description:    PatioTime child theme for user customization
*Author:         Loft.Ocean
*Author URI:     http://www.loftocean.com
*License: 		 GNU General Public License v2 or later
*License URI: 	 http://www.gnu.org/licenses/gpl-2.0.html
*Tags: 			 full-width-template, left-sidebar, right-sidebar, custom-background, custom-colors, custom-header, custom-menu, editor-style, featured-images, rtl-language-support, sticky-post, threaded-comments, translation-ready
*Template:       patiotime
*Text Domain: 	 patiotime-child
*Version:        1.0.7
*/

 /** Add your styles below **/
@font-face {
    font-family: 'DearJane';
    src: url('fonts/DearJane.ttf');
}

.dear-jane,
.home-hero-title .pt-title-text{
    font-family: 'DearJane', sans-serif;
}

.home-hero-title .pt-subtitle{
    margin-bottom: 10px;
}

/* BOTTOM NAV */
.m-bottomnav{
    position: fixed;
    left: 12px;
    right: 12px;
    bottom: 12px;
    height: 64px;

    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;

    background: rgba(251,250,247,.92);
    border: 1px solid var(--line);
    border-radius: 18px;
    box-shadow:
            0 10px 30px rgba(0,0,0,.08),
            0 1px 0 rgba(255,255,255,.5) inset;

    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);

    z-index: 9999;
}

/* Item */
.m-bottomnav__item{
    height: 100%;
    text-decoration: none;
    color: var(--text-color);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 6px;
    position: relative;
    transition: color .2s ease, transform .2s ease;
}

.m-bottomnav__icon{
    font-size: 20px;
    line-height: 1;
}

.m-bottomnav__label{
    font-size: 10px;
    letter-spacing: .12em;
    text-transform: uppercase;
}

.m-bottomnav__item:hover{
    color: var(--e-global-color-primary);
}

/* separatori sottili tra item */
.m-bottomnav__item:not(:last-child)::after{
    content:"";
    position: absolute;
    right: 0;
    top: 18px;
    bottom: 18px;
    width: 1px;
    background: rgba(17,17,17,.12);
}

.m-bottomnav__circle {
    position: fixed;
    left: 18px;
    bottom: 18px;
    z-index: 9999;
    text-decoration: none;
    display: inline-flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
}

/* pallino verde */
.m-bottomnav__btn {
    width: 56px;
    height: 56px;
    border-radius: 999px;
    background: var(--e-global-color-primary);
    color: #fff;
    display: grid;
    place-items: center;
    box-shadow: var(--wa-shadow);
    transition: transform .12s ease, filter .12s ease;
    font-size: 30px;
}

/* “messaggino” sopra */
.m-bottomnav__bubble {
    position: relative;
    max-width: 260px;
    background: #fff;
    color: #0f172a;
    border-radius: 14px;
    padding: 10px 12px;
    font-size: 13px;
    line-height: 1.2;
    box-shadow: var(--wa-shadow);
    border: 1px solid rgba(15, 23, 42, .10);
}

/* codina del fumetto */
.m-bottomnav__bubble::after {
    content: "";
    position: absolute;
    left: 18px;
    bottom: -7px;
    width: 14px;
    height: 14px;
    background: #fff;
    border-right: 1px solid rgba(15, 23, 42, .10);
    border-bottom: 1px solid rgba(15, 23, 42, .10);
    transform: rotate(45deg);
}


/* solo mobile */
@media (min-width: 768px){
    .m-bottomnav{ display:none; }
}
/* solo desktop */
@media (max-width: 767px){
    .m-bottomnav__circle{display: none}
}

.sidemenu-header .close-button{
    color:#000000;
}